LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDDELinkResults Interface Referencepublished

provides access to the DDE link results. More...

`import"XDDELinkResults.idl";`

Inheritance diagram for XDDELinkResults:

## Public Member Functions
sequence< sequence< any > > | getResults ()
| returns the DDE link results. More...
void | setResults ([in] sequence< sequence< any > > aResults)
| sets the DDE link results. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the DDE link results.

See also
  com::sun::star::sheet::DDELink

Since
  OOo 3.0

## Member Function Documentation

## ◆ getResults()

sequence< sequence< any > > getResults | ( |  | ) |

returns the DDE link results.

Returns
  the DDE link results. The outer sequence contains the value rows. The inner sequences contain the result values for one row.

## ◆ setResults()

void setResults | ( | [in] sequence< sequence< any > > | aResults | ) |

sets the DDE link results.

Parameters

  aResults | the DDE link results. The outer sequence contains the value rows. The inner sequences contain the result values for one row. If the outer sequence is empty, the existing DDE link results are cleared.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDDELinkResults.idl